Pin rails-observers for Ruby < 2.2

06/22/2017 08:36 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4613

  

Description

On versions of Ruby < 2.2.2 , rails-observers fails to install according to the current Gemfile.

Gem::InstallError: rails-observers requires Ruby version >= 2.2.2.

An error occurred while installing rails-observers (0.1.4), and Bundler cannot

continue.

Make sure that `gem install rails-observers -v '0.1.4'` succeeds before

bundling.

This breaks test_develop_pr_upgrade , as it can't bundle install and therefore run the upgrade tests.

Associated revisions

Revision 44f6de31 - 06/22/2017 03:30 PM - Daniel Lobato Garcia

Fixes #20087 - Pin rails-observers on Ruby < 2.2.2

History

#1 - 06/22/2017 08:38 AM - Daniel Lobato Garcia

- translation missing: en.field_release deleted (266)

#2 - 06/22/2017 08:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/4613 added

#3 - 10/12/2017 04:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 44f6de31ff82439077aea2a161231f927228ca10.
